/**
* Copyright (c) 2010, Leonardo R. Bachega and Charles A. Bouman
* All rights reserved.
* 
* Redistribution and use in source and binary forms, with or without
* modification, are permitted provided that the following conditions are met:
*     * Redistributions of source code must retain the above copyright
*       notice, this list of conditions and the following disclaimer.
*     * Redistributions in binary form must reproduce the above copyright
*       notice, this list of conditions and the following disclaimer in the
*       documentation and/or other materials provided with the distribution.
*     * Neither the name of the Purdue University nor the
*       names of its contributors may be used to endorse or promote products
*       derived from this software without specific prior written permission.
* 
* THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
* ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
* WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
* DISCLAIMED. IN NO EVENT SHALL Leonardo R. Bachega and Charles A. Bouman BE LIABLE FOR ANY
* DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
* (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
* LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
* ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
* (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
* SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
**/
public class sleep{
		  int time;
		  public sleep(int time)
		  {
					 this.time = time;
		  }
		  public void wait1 ()
		  {
					 this.wait1 (this.time);
					 return;
		  }
		  public void wait1 (int time)
		  {
					 try{
					 	Thread.sleep (time);
					 }catch (Exception e)
					 {
					 }
					 return;
		  }
		  public static void main (String args[])
		  {
					 double time_init, time_end;

					 for (int iteration = 0; iteration < 10; iteration++)
					 {
								sleep s = new sleep (iteration*1000);

								time_init = System.currentTimeMillis();
								try{
										  s.wait1();
								}catch(Exception e)
								{
								}
								time_end = System.currentTimeMillis();
								System.out.println(time_end - time_init);
					 }
		  }
}
